### Function

# Gimp gradient_segment_range_set_coloring_type

#### Declaration [src]

    gboolean
    gimp_gradient_segment_range_set_coloring_type (
      const gchar* name,
      gint start_segment,
      gint end_segment,
      GimpGradientSegmentColor coloring_type
    )

#### Description [src]

Change the coloring type of a segments range

This function changes the coloring type of a segment range to the specified coloring type.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The gradient name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`start_segment` | `gint`
| The index of the first segment to operate on.
`end_segment` | `gint`
| The index of the last segment to operate on. If negative, the selection will extend to the end of the string.
`coloring_type` | `GimpGradientSegmentColor`
| The coloring type.

#### Return value

Returns: | `gboolean`
| TRUE on success.